package java.security.cert;

import java.util.Collections;
import java.util.Collection;
import java.util.Set;

public abstract class PKIXCertPathChecker implements CertPathChecker, Cloneable
{
    protected PKIXCertPathChecker() {
    }
    
    @Override
    public abstract void init(boolean p0) throws CertPathValidatorException;
    
    @Override
    public abstract boolean isForwardCheckingSupported();
    
    public abstract Set<String> getSupportedExtensions();
    
    public abstract void check(Certificate p0, Collection<String> p1) throws CertPathValidatorException;
    
    @Override
    public void check(Certificate certificate) throws CertPathValidatorException {
        this.check(certificate, Collections.emptySet());
    }
    
    public Object clone() {
        try {
            return super.clone();
        }
        catch (CloneNotSupportedException cause) {
            throw new InternalError(cause.toString(), cause);
        }
    }
}
